#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;
using Core = HeuristicLab.Core;
using HeuristicLab.Data;

namespace HeuristicLab.GP.StructureIdentification.Classification {
  public class ProblemInjector : HeuristicLab.GP.StructureIdentification.ProblemInjector {

    public override string Description {
      get {
        return "Problem injector for classification structure identification.";
      }
    }

    public ProblemInjector()
      : base() {
      AddVariableInfo(new Core.VariableInfo("TargetClassValues", "TargetClassValues", typeof(ItemList<DoubleData>), Core.VariableKind.New));
      GetVariableInfo("TargetClassValues").Local = true;
      AddVariable(new Core.Variable("TargetClassValues", new ItemList<DoubleData>()));
    }
  }
}
